RK-J - Task #3119

Feature # 3116 (Closed): Couple of changes to ChatGPT answer page on the site

BE: Create a new api for fetching the source-url based on books.

07/07/2023 05:33 AM - Ayush Khandelwal

Status: Closed Start date: 07/10/2023
Priority: Normal Due date:

Assignee: Ayush Khandelwal % Done: 100%
Category: Estimated time: 2.00 hours
Target version: 1-RK-J-1 Spent time: 2.00 hours
Description

API name: content/api/v1/bookSource

Method: POST

Request Body: {

"booklds": [<array of bookld/documentProcessingld>]

}

Here, bookld means documentProcessingld

Get the o-url from document_1 of each documentProcessinglds(i.e Get the Ourl based on the documentlid -

"<documentProcessingld>-1")
The response should be of the below format.

Response:

It should contain key value pairs of documentProcessingld & book's first document o-url i.e. source-url

ex: {

"fde65e15-ecb4-4bd8-a307-1f4c937d288f" : {"sourceUr!": "<o-url from document 1>"}

"afqwx-ecb4-4bd8-a307-45gdl6efe" : {"sourceUrl": "<o-url from document 1>"}

}

Subtasks:
Task # 3122: Allow caching for /bookSource API

Closed

History

#1 - 07/07/2023 05:34 AM - Ayush Khandelwal

- Description updated

#2 - 07/07/2023 05:35 AM - Venmuhilan B

- Status changed from New to In Progress

#3 - 07/07/2023 06:00 AM - Venmuhilan B
- Description updated
- Status changed from In Progress to New

- Assignee changed from Venmuhilan B to Abhijata Sen

#4 - 07/07/2023 06:20 AM - Abhijata Sen

- Status changed from New to In Progress

#5 - 07/07/2023 11:12 AM - Venmuhilan B

- Status changed from In Progress to Feedback

- Assignee changed from Abhijata Sen to Ayush Khandelwal
- % Done changed from 0 to 100

#6 - 07/07/2023 11:12 AM - Venmuhilan B

TEST CASES - https://docs.google.com/document/d/1tQzs5DWIEEVrnOcKC2sX_U2wZBc5FJd7erjb6fGBv60o/edititheading=h.c06cgqgld19dy

#7 - 07/07/2023 11:13 AM - Venmuhilan B
https://docs.google.com/document/d/1tQzs5DWfEEVrnOcKC2sX_U2wZBc5FJd7erjb6fGBv6o/edit#heading=h.c06cgqld19dy

- Status changed from Feedback to Resolved

- Assignee changed from Ayush Khandelwal to Venmuhilan B

#8 - 07/07/2023 11:13 AM - Venmuhilan B
- Status changed from Resolved to Feedback

- Assignee changed from Venmuhilan B to Ayush Khandelwal

#9 - 07/07/2023 11:15 AM - Ayush Khandelwal
- Status changed from Feedback to Closed

Working as expected

#10 - 07/10/2023 05:37 AM - Ram Kordale
- Status changed from Closed to Reopened
- Assignee changed from Ayush Khandelwal to Venmubhilan B

- Priority changed from Immediate to Urgent

As mentioned by Ven, please add caching.

#11 - 07/11/2023 12:36 PM - Venmuhilan B

- Status changed from Reopened to In Progress

#12 - 07/11/2023 12:36 PM - Venmuhilan B

- Status changed from In Progress to Feedback

#13 - 07/27/2023 09:21 AM - Venmuhilan B

- Assignee changed from Venmuhilan B to Ayush Khandelwal

#14 - 11/08/2023 05:53 AM - Ram Kordale
- Status changed from Feedback to Closed
